Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor.microdata
Class MicrodataParserTest

    java.lang.Object
      org.apache.any23.extractor.microdata.MicrodataParserTest

    public class MicrodataParserTest

extends Object

Test case for `MicrodataParser`.

Author:
  Michele Mostarda (mostarda@fbk.eu)

Constructor Summary
`MicrodataParserTest()`

Method Summary
`void` | `testAdvancedItemrefManagement()`
`void` | `testBasicFeatures()`
`void` | `testDeferProperties()` Test the main use case of `MicrodataParser.deferProperties(String...)`
`void` | `testDeferPropertiesLoopDetection1()` Tests the loop detection in `MicrodataParser.deferProperties(String...)`.
`void` | `testDeferPropertiesLoopDetection2()` Tests the deep loop detection in `MicrodataParser.deferProperties(String...)`.
`void` | `testDeferPropertiesStateManagement()` Tests that the loop detection works property even with multiple calls of `MicrodataParser.deferProperties(String...)` over the same item props.
`void` | `testGetContentAsDate()`
`void` | `testMicrodataJSONSerialization()`
`void` | `testNestedMicrodata()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MicrodataParserTest

    public MicrodataParserTest()

Method Detail

### testBasicFeatures

    public void testBasicFeatures()
                           throws IOException

  Throws:
    `IOException`

### testNestedMicrodata

    public void testNestedMicrodata()
                             throws IOException

  Throws:
    `IOException`

### testAdvancedItemrefManagement

    public void testAdvancedItemrefManagement()
                                       throws IOException

  Throws:
    `IOException`

### testMicrodataJSONSerialization

    public void testMicrodataJSONSerialization()
                                        throws IOException

  Throws:
    `IOException`

### testGetContentAsDate

    public void testGetContentAsDate()
                              throws IOException,
                                     ParseException

  Throws:
    `IOException`
    `ParseException`

### testDeferProperties

    public void testDeferProperties()
                             throws IOException,
                                    org.apache.any23.extractor.microdata.MicrodataParserException

  Test the main use case of `MicrodataParser.deferProperties(String...)`

  Throws:
    `IOException`
    `MicrodataParserException`

### testDeferPropertiesLoopDetection1

    public void testDeferPropertiesLoopDetection1()
                                           throws IOException,
                                                  org.apache.any23.extractor.microdata.MicrodataParserException

  Tests the loop detection in `MicrodataParser.deferProperties(String...)`.

  Throws:
    `IOException`
    `MicrodataParserException`

### testDeferPropertiesLoopDetection2

    public void testDeferPropertiesLoopDetection2()
                                           throws IOException,
                                                  org.apache.any23.extractor.microdata.MicrodataParserException

  Tests the deep loop detection in `MicrodataParser.deferProperties(String...)`.

  Throws:
    `IOException`
    `MicrodataParserException`

### testDeferPropertiesStateManagement

    public void testDeferPropertiesStateManagement()
                                            throws IOException,
                                                   org.apache.any23.extractor.microdata.MicrodataParserException

  Tests that the loop detection works property even with multiple calls of `MicrodataParser.deferProperties(String...)` over the same item props.

  Throws:
    `IOException`
    `MicrodataParserException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.